/*
								+---------------------------------+
								|                                 |
								|     ***   Rasterizer   ***      |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|            Raster.h             |
								|                                 |
								+---------------------------------+
*/

#ifndef __RASTERIZER_INCLUDED
#define __RASTERIZER_INCLUDED

int Init_Engine(int n_New_Width, int n_New_Height);
void Terminate_Engine();

void PreCalc_Multab();

void Switch_Bilerp(int nActivate);

void DrawObject(Matrix *m_object, Matrix *m_camera,
    Object *p_object, Material *p_material);

Texture *Load_Texture(char *filename);

int Load_Textures(World *world, char *dir);

void Generate_Scanline_Graph();

int Release_Screen(unsigned __int32 *vram);
void Init_Screen();

#endif